"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.teams = exports.team = exports.settings = exports.security_managers = exports.security_advisories = exports.secret_scanning = exports.rulesets = exports.repos = exports.public_members = exports.properties = exports.projects = exports.personal_access_tokens = exports.personal_access_token_requests = exports.packages = exports.outside_collaborators = exports.organization_roles = exports.migrations = exports.memberships = exports.members = exports.issues = exports.invitations = exports.interaction_limits = exports.installations = exports.installation = exports.hooks = exports.failed_invitations = exports.events = exports.docker = exports.dependabot = exports.copilot = exports.codespaces = exports.code_security = exports.code_scanning = exports.blocks = exports.attestations = exports.actions = void 0;
exports.getByOrg = getByOrg;
exports.patchByOrg = patchByOrg;
exports.eraseByOrg = eraseByOrg;
exports.postByOrgAndSecurity_productAndEnablement = postByOrgAndSecurity_productAndEnablement;
var NestiaSimulator_1 = require("@nestia/fetcher/lib/NestiaSimulator");
var PlainFetcher_1 = require("@nestia/fetcher/lib/PlainFetcher");
var typia_1 = __importDefault(require("typia"));
exports.actions = __importStar(require("./actions"));
exports.attestations = __importStar(require("./attestations"));
exports.blocks = __importStar(require("./blocks"));
exports.code_scanning = __importStar(require("./code_scanning"));
exports.code_security = __importStar(require("./code_security"));
exports.codespaces = __importStar(require("./codespaces"));
exports.copilot = __importStar(require("./copilot"));
exports.dependabot = __importStar(require("./dependabot"));
exports.docker = __importStar(require("./docker"));
exports.events = __importStar(require("./events"));
exports.failed_invitations = __importStar(require("./failed_invitations"));
exports.hooks = __importStar(require("./hooks"));
exports.installation = __importStar(require("./installation"));
exports.installations = __importStar(require("./installations"));
exports.interaction_limits = __importStar(require("./interaction_limits"));
exports.invitations = __importStar(require("./invitations"));
exports.issues = __importStar(require("./issues"));
exports.members = __importStar(require("./members"));
exports.memberships = __importStar(require("./memberships"));
exports.migrations = __importStar(require("./migrations"));
exports.organization_roles = __importStar(require("./organization_roles"));
exports.outside_collaborators = __importStar(require("./outside_collaborators"));
exports.packages = __importStar(require("./packages"));
exports.personal_access_token_requests = __importStar(require("./personal_access_token_requests"));
exports.personal_access_tokens = __importStar(require("./personal_access_tokens"));
exports.projects = __importStar(require("./projects"));
exports.properties = __importStar(require("./properties"));
exports.public_members = __importStar(require("./public_members"));
exports.repos = __importStar(require("./repos"));
exports.rulesets = __importStar(require("./rulesets"));
exports.secret_scanning = __importStar(require("./secret_scanning"));
exports.security_advisories = __importStar(require("./security_advisories"));
exports.security_managers = __importStar(require("./security_managers"));
exports.settings = __importStar(require("./settings"));
exports.team = __importStar(require("./team"));
exports.teams = __importStar(require("./teams"));
/**
 * Get an organization.
 * Gets information about an organization.
 *
 * When the value of `two_factor_requirement_enabled` is `true`, the organization requires all members, billing managers, and outside collaborators to enable [two-factor authentication](https://docs.github.com/articles/securing-your-account-with-two-factor-authentication-2fa/).
 *
 * To see the full details about an organization, the authenticated user must be an organization owner.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` scope to see the full details about an organization.
 *
 * To see information about an organization's GitHub plan, GitHub Apps need the `Organization plan` permission.
 *
 * @tag orgs
 * @path orgs/:org
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function getByOrg(connection, org) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? getByOrg.simulate(connection, org)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, getByOrg.METADATA), { path: getByOrg.path(org), status: null }))];
        });
    });
}
(function (getByOrg) {
    getByOrg.METADATA = {
        method: "GET",
        path: "/orgs/:org",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    getByOrg.path = function (org) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"));
    };
    getByOrg.random = function (g) { return (function () { var $generator = typia_1.default.random.generator; var $pick = typia_1.default.random.pick; var $ro0 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, _55, _56, _57, _58, _59, _60, _61, _62, _63, _64, _65, _66, _67, _68, _69, _70, _71, _72;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            login: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            id: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.number) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _k !== void 0 ? _k : $generator.integer)(0, 100),
            node_id: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.string) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _q !== void 0 ? _q : $generator.string)(),
            url: (_u = (_t = (_s = ((_r = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _r !== void 0 ? _r : $generator.customs)) === null || _s === void 0 ? void 0 : _s.string) === null || _t === void 0 ? void 0 : _t.call(_s, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _u !== void 0 ? _u : ((_v = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _v !== void 0 ? _v : $generator.uri)(),
            repos_url: (_z = (_y = (_x = ((_w = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _w !== void 0 ? _w : $generator.customs)) === null || _x === void 0 ? void 0 : _x.string) === null || _y === void 0 ? void 0 : _y.call(_x, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _z !== void 0 ? _z : ((_0 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _0 !== void 0 ? _0 : $generator.uri)(),
            events_url: (_4 = (_3 = (_2 = ((_1 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _1 !== void 0 ? _1 : $generator.customs)) === null || _2 === void 0 ? void 0 : _2.string) === null || _3 === void 0 ? void 0 : _3.call(_2, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _4 !== void 0 ? _4 : ((_5 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _5 !== void 0 ? _5 : $generator.uri)(),
            hooks_url: (_9 = (_8 = (_7 = ((_6 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _6 !== void 0 ? _6 : $generator.customs)) === null || _7 === void 0 ? void 0 : _7.string) === null || _8 === void 0 ? void 0 : _8.call(_7, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _9 !== void 0 ? _9 : ((_10 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _10 !== void 0 ? _10 : $generator.string)(),
            issues_url: (_14 = (_13 = (_12 = ((_11 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _11 !== void 0 ? _11 : $generator.customs)) === null || _12 === void 0 ? void 0 : _12.string) === null || _13 === void 0 ? void 0 : _13.call(_12, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _14 !== void 0 ? _14 : ((_15 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _15 !== void 0 ? _15 : $generator.string)(),
            members_url: (_19 = (_18 = (_17 = ((_16 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _16 !== void 0 ? _16 : $generator.customs)) === null || _17 === void 0 ? void 0 : _17.string) === null || _18 === void 0 ? void 0 : _18.call(_17, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _19 !== void 0 ? _19 : ((_20 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _20 !== void 0 ? _20 : $generator.string)(),
            public_members_url: (_24 = (_23 = (_22 = ((_21 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _21 !== void 0 ? _21 : $generator.customs)) === null || _22 === void 0 ? void 0 : _22.string) === null || _23 === void 0 ? void 0 : _23.call(_22, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _24 !== void 0 ? _24 : ((_25 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _25 !== void 0 ? _25 : $generator.string)(),
            avatar_url: (_29 = (_28 = (_27 = ((_26 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _26 !== void 0 ? _26 : $generator.customs)) === null || _27 === void 0 ? void 0 : _27.string) === null || _28 === void 0 ? void 0 : _28.call(_27, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _29 !== void 0 ? _29 : ((_30 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _30 !== void 0 ? _30 : $generator.string)(),
            description: $pick([
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            name: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            company: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            blog: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"uri\">",
                        kind: "format",
                        value: "uri"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _e !== void 0 ? _e : $generator.uri)(); }
            ])(),
            location: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            email: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"email\">",
                        kind: "format",
                        value: "email"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.email) !== null && _e !== void 0 ? _e : $generator.email)(); }
            ])(),
            twitter_username: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            is_verified: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            has_organization_projects: ((_31 = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _31 !== void 0 ? _31 : $generator.boolean)(),
            has_repository_projects: ((_32 = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _32 !== void 0 ? _32 : $generator.boolean)(),
            public_repos: (_36 = (_35 = (_34 = ((_33 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _33 !== void 0 ? _33 : $generator.customs)) === null || _34 === void 0 ? void 0 : _34.number) === null || _35 === void 0 ? void 0 : _35.call(_34, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _36 !== void 0 ? _36 : ((_37 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _37 !== void 0 ? _37 : $generator.integer)(0, 100),
            public_gists: (_41 = (_40 = (_39 = ((_38 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _38 !== void 0 ? _38 : $generator.customs)) === null || _39 === void 0 ? void 0 : _39.number) === null || _40 === void 0 ? void 0 : _40.call(_39, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _41 !== void 0 ? _41 : ((_42 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _42 !== void 0 ? _42 : $generator.integer)(0, 100),
            followers: (_46 = (_45 = (_44 = ((_43 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _43 !== void 0 ? _43 : $generator.customs)) === null || _44 === void 0 ? void 0 : _44.number) === null || _45 === void 0 ? void 0 : _45.call(_44, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _46 !== void 0 ? _46 : ((_47 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _47 !== void 0 ? _47 : $generator.integer)(0, 100),
            following: (_51 = (_50 = (_49 = ((_48 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _48 !== void 0 ? _48 : $generator.customs)) === null || _49 === void 0 ? void 0 : _49.number) === null || _50 === void 0 ? void 0 : _50.call(_49, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _51 !== void 0 ? _51 : ((_52 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _52 !== void 0 ? _52 : $generator.integer)(0, 100),
            html_url: (_56 = (_55 = (_54 = ((_53 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _53 !== void 0 ? _53 : $generator.customs)) === null || _54 === void 0 ? void 0 : _54.string) === null || _55 === void 0 ? void 0 : _55.call(_54, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _56 !== void 0 ? _56 : ((_57 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _57 !== void 0 ? _57 : $generator.uri)(),
            type: (_61 = (_60 = (_59 = ((_58 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _58 !== void 0 ? _58 : $generator.customs)) === null || _59 === void 0 ? void 0 : _59.string) === null || _60 === void 0 ? void 0 : _60.call(_59, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _61 !== void 0 ? _61 : ((_62 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _62 !== void 0 ? _62 : $generator.string)(),
            total_private_repos: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            owned_private_repos: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            private_gists: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            disk_usage: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            collaborators: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            billing_email: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"email\">",
                        kind: "format",
                        value: "email"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.email) !== null && _e !== void 0 ? _e : $generator.email)(); }
            ])(),
            plan: $pick([
                function () { return undefined; },
                function () { return $ro1(_recursive, _recursive ? 1 + _depth : _depth); }
            ])(),
            default_repository_permission: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            members_can_create_repositories: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            two_factor_requirement_enabled: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_allowed_repository_creation_type: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            members_can_create_public_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_private_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_internal_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_pages: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_public_pages: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_private_pages: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_fork_private_repositories: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            web_commit_signoff_required: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            advanced_security_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            dependabot_alerts_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            dependabot_security_updates_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            dependency_graph_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_push_protection_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_push_protection_custom_link_enabled: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_push_protection_custom_link: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            created_at: (_66 = (_65 = (_64 = ((_63 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _63 !== void 0 ? _63 : $generator.customs)) === null || _64 === void 0 ? void 0 : _64.string) === null || _65 === void 0 ? void 0 : _65.call(_64, [
                {
                    name: "Format<\"date-time\">",
                    kind: "format",
                    value: "date-time"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _66 !== void 0 ? _66 : ((_67 = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _67 !== void 0 ? _67 : $generator.datetime)(),
            updated_at: (_71 = (_70 = (_69 = ((_68 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _68 !== void 0 ? _68 : $generator.customs)) === null || _69 === void 0 ? void 0 : _69.string) === null || _70 === void 0 ? void 0 : _70.call(_69, [
                {
                    name: "Format<\"date-time\">",
                    kind: "format",
                    value: "date-time"
                }
            ])) !== null && _71 !== void 0 ? _71 : ((_72 = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _72 !== void 0 ? _72 : $generator.datetime)(),
            archived_at: $pick([
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"date-time\">",
                        kind: "format",
                        value: "date-time"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _e !== void 0 ? _e : $generator.datetime)(); }
            ])()
        });
    }; var $ro1 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            name: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            space: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.number) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _k !== void 0 ? _k : $generator.integer)(0, 100),
            private_repos: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.number) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _q !== void 0 ? _q : $generator.integer)(0, 100),
            filled_seats: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            seats: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $ro0();
    }; })()(g); };
    getByOrg.simulate = function (connection, org) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: getByOrg.METADATA.method,
            host: connection.host,
            path: getByOrg.path(org),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return getByOrg.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(getByOrg || (exports.getByOrg = getByOrg = {}));
/**
 * Update an organization.
 * > [!WARNING]
 * > **Parameter deprecation notice:** GitHub will replace and discontinue `members_allowed_repository_creation_type` in favor of more granular permissions. The new input parameters are `members_can_create_public_repositories`, `members_can_create_private_repositories` for all organizations and `members_can_create_internal_repositories` for organizations associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+. For more information, see the [blog post](https://developer.github.com/changes/2019-12-03-internal-visibility-changes).
 *
 * > [!WARNING]
 * > **Parameter deprecation notice:** Code security product enablement for new repositories through the organization API is deprecated. Please use [code security configurations](https://docs.github.com/rest/code-security/configurations#set-a-code-security-configuration-as-a-default-for-an-organization) to set defaults instead. For more information on setting a default security configuration, see the [changelog](https://github.blog/changelog/2024-07-09-sunsetting-security-settings-defaults-parameters-in-the-organizations-rest-api/).
 *
 * Updates the organization's profile and member privileges.
 *
 * The authenticated user must be an organization owner to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `admin:org` or `repo` scope to use this endpoint.
 *
 * @tag orgs
 * @path orgs/:org
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function patchByOrg(connection, org, body) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? patchByOrg.simulate(connection, org, body)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, patchByOrg.METADATA), { path: patchByOrg.path(org), status: null }), body)];
        });
    });
}
(function (patchByOrg) {
    patchByOrg.METADATA = {
        method: "PATCH",
        path: "/orgs/:org",
        request: {
            type: "application/json",
            encrypted: false,
        },
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    patchByOrg.path = function (org) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"));
    };
    patchByOrg.random = function (g) { return (function () { var $generator = typia_1.default.random.generator; var $pick = typia_1.default.random.pick; var $ro0 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4, _5, _6, _7, _8, _9, _10, _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, _55, _56, _57, _58, _59, _60, _61, _62, _63, _64, _65, _66, _67, _68, _69, _70, _71, _72;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            login: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            id: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.number) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _k !== void 0 ? _k : $generator.integer)(0, 100),
            node_id: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.string) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _q !== void 0 ? _q : $generator.string)(),
            url: (_u = (_t = (_s = ((_r = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _r !== void 0 ? _r : $generator.customs)) === null || _s === void 0 ? void 0 : _s.string) === null || _t === void 0 ? void 0 : _t.call(_s, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _u !== void 0 ? _u : ((_v = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _v !== void 0 ? _v : $generator.uri)(),
            repos_url: (_z = (_y = (_x = ((_w = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _w !== void 0 ? _w : $generator.customs)) === null || _x === void 0 ? void 0 : _x.string) === null || _y === void 0 ? void 0 : _y.call(_x, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _z !== void 0 ? _z : ((_0 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _0 !== void 0 ? _0 : $generator.uri)(),
            events_url: (_4 = (_3 = (_2 = ((_1 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _1 !== void 0 ? _1 : $generator.customs)) === null || _2 === void 0 ? void 0 : _2.string) === null || _3 === void 0 ? void 0 : _3.call(_2, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _4 !== void 0 ? _4 : ((_5 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _5 !== void 0 ? _5 : $generator.uri)(),
            hooks_url: (_9 = (_8 = (_7 = ((_6 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _6 !== void 0 ? _6 : $generator.customs)) === null || _7 === void 0 ? void 0 : _7.string) === null || _8 === void 0 ? void 0 : _8.call(_7, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _9 !== void 0 ? _9 : ((_10 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _10 !== void 0 ? _10 : $generator.string)(),
            issues_url: (_14 = (_13 = (_12 = ((_11 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _11 !== void 0 ? _11 : $generator.customs)) === null || _12 === void 0 ? void 0 : _12.string) === null || _13 === void 0 ? void 0 : _13.call(_12, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _14 !== void 0 ? _14 : ((_15 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _15 !== void 0 ? _15 : $generator.string)(),
            members_url: (_19 = (_18 = (_17 = ((_16 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _16 !== void 0 ? _16 : $generator.customs)) === null || _17 === void 0 ? void 0 : _17.string) === null || _18 === void 0 ? void 0 : _18.call(_17, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _19 !== void 0 ? _19 : ((_20 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _20 !== void 0 ? _20 : $generator.string)(),
            public_members_url: (_24 = (_23 = (_22 = ((_21 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _21 !== void 0 ? _21 : $generator.customs)) === null || _22 === void 0 ? void 0 : _22.string) === null || _23 === void 0 ? void 0 : _23.call(_22, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _24 !== void 0 ? _24 : ((_25 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _25 !== void 0 ? _25 : $generator.string)(),
            avatar_url: (_29 = (_28 = (_27 = ((_26 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _26 !== void 0 ? _26 : $generator.customs)) === null || _27 === void 0 ? void 0 : _27.string) === null || _28 === void 0 ? void 0 : _28.call(_27, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _29 !== void 0 ? _29 : ((_30 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _30 !== void 0 ? _30 : $generator.string)(),
            description: $pick([
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            name: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            company: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            blog: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"uri\">",
                        kind: "format",
                        value: "uri"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _e !== void 0 ? _e : $generator.uri)(); }
            ])(),
            location: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            email: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"email\">",
                        kind: "format",
                        value: "email"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.email) !== null && _e !== void 0 ? _e : $generator.email)(); }
            ])(),
            twitter_username: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            is_verified: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            has_organization_projects: ((_31 = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _31 !== void 0 ? _31 : $generator.boolean)(),
            has_repository_projects: ((_32 = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _32 !== void 0 ? _32 : $generator.boolean)(),
            public_repos: (_36 = (_35 = (_34 = ((_33 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _33 !== void 0 ? _33 : $generator.customs)) === null || _34 === void 0 ? void 0 : _34.number) === null || _35 === void 0 ? void 0 : _35.call(_34, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _36 !== void 0 ? _36 : ((_37 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _37 !== void 0 ? _37 : $generator.integer)(0, 100),
            public_gists: (_41 = (_40 = (_39 = ((_38 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _38 !== void 0 ? _38 : $generator.customs)) === null || _39 === void 0 ? void 0 : _39.number) === null || _40 === void 0 ? void 0 : _40.call(_39, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _41 !== void 0 ? _41 : ((_42 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _42 !== void 0 ? _42 : $generator.integer)(0, 100),
            followers: (_46 = (_45 = (_44 = ((_43 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _43 !== void 0 ? _43 : $generator.customs)) === null || _44 === void 0 ? void 0 : _44.number) === null || _45 === void 0 ? void 0 : _45.call(_44, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _46 !== void 0 ? _46 : ((_47 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _47 !== void 0 ? _47 : $generator.integer)(0, 100),
            following: (_51 = (_50 = (_49 = ((_48 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _48 !== void 0 ? _48 : $generator.customs)) === null || _49 === void 0 ? void 0 : _49.number) === null || _50 === void 0 ? void 0 : _50.call(_49, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _51 !== void 0 ? _51 : ((_52 = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _52 !== void 0 ? _52 : $generator.integer)(0, 100),
            html_url: (_56 = (_55 = (_54 = ((_53 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _53 !== void 0 ? _53 : $generator.customs)) === null || _54 === void 0 ? void 0 : _54.string) === null || _55 === void 0 ? void 0 : _55.call(_54, [
                {
                    name: "Format<\"uri\">",
                    kind: "format",
                    value: "uri"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _56 !== void 0 ? _56 : ((_57 = _generator === null || _generator === void 0 ? void 0 : _generator.uri) !== null && _57 !== void 0 ? _57 : $generator.uri)(),
            type: (_61 = (_60 = (_59 = ((_58 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _58 !== void 0 ? _58 : $generator.customs)) === null || _59 === void 0 ? void 0 : _59.string) === null || _60 === void 0 ? void 0 : _60.call(_59, [
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _61 !== void 0 ? _61 : ((_62 = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _62 !== void 0 ? _62 : $generator.string)(),
            total_private_repos: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            owned_private_repos: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            private_gists: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            disk_usage: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            collaborators: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            billing_email: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"email\">",
                        kind: "format",
                        value: "email"
                    },
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.email) !== null && _e !== void 0 ? _e : $generator.email)(); }
            ])(),
            plan: $pick([
                function () { return undefined; },
                function () { return $ro1(_recursive, _recursive ? 1 + _depth : _depth); }
            ])(),
            default_repository_permission: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            members_can_create_repositories: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            two_factor_requirement_enabled: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_allowed_repository_creation_type: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            members_can_create_public_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_private_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_internal_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_pages: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_public_pages: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_create_private_pages: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            members_can_fork_private_repositories: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            web_commit_signoff_required: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            advanced_security_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            dependabot_alerts_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            dependabot_security_updates_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            dependency_graph_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_push_protection_enabled_for_new_repositories: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_push_protection_custom_link_enabled: $pick([
                function () { return undefined; },
                function () { var _a; return ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.boolean) !== null && _a !== void 0 ? _a : $generator.boolean)(); }
            ])(),
            secret_scanning_push_protection_custom_link: $pick([
                function () { return undefined; },
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "JsonSchemaPlugin<__type>",
                        kind: "jsonPlugin"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(); }
            ])(),
            created_at: (_66 = (_65 = (_64 = ((_63 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _63 !== void 0 ? _63 : $generator.customs)) === null || _64 === void 0 ? void 0 : _64.string) === null || _65 === void 0 ? void 0 : _65.call(_64, [
                {
                    name: "Format<\"date-time\">",
                    kind: "format",
                    value: "date-time"
                },
                {
                    name: "JsonSchemaPlugin<__type>",
                    kind: "jsonPlugin"
                }
            ])) !== null && _66 !== void 0 ? _66 : ((_67 = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _67 !== void 0 ? _67 : $generator.datetime)(),
            updated_at: (_71 = (_70 = (_69 = ((_68 = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _68 !== void 0 ? _68 : $generator.customs)) === null || _69 === void 0 ? void 0 : _69.string) === null || _70 === void 0 ? void 0 : _70.call(_69, [
                {
                    name: "Format<\"date-time\">",
                    kind: "format",
                    value: "date-time"
                }
            ])) !== null && _71 !== void 0 ? _71 : ((_72 = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _72 !== void 0 ? _72 : $generator.datetime)(),
            archived_at: $pick([
                function () { return null; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Format<\"date-time\">",
                        kind: "format",
                        value: "date-time"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.datetime) !== null && _e !== void 0 ? _e : $generator.datetime)(); }
            ])()
        });
    }; var $ro1 = function (_recursive, _depth) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q;
        if (_recursive === void 0) { _recursive = false; }
        if (_depth === void 0) { _depth = 0; }
        return ({
            name: (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.string) === null || _c === void 0 ? void 0 : _c.call(_b, [])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.string) !== null && _e !== void 0 ? _e : $generator.string)(),
            space: (_j = (_h = (_g = ((_f = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _f !== void 0 ? _f : $generator.customs)) === null || _g === void 0 ? void 0 : _g.number) === null || _h === void 0 ? void 0 : _h.call(_g, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                }
            ])) !== null && _j !== void 0 ? _j : ((_k = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _k !== void 0 ? _k : $generator.integer)(0, 100),
            private_repos: (_p = (_o = (_m = ((_l = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _l !== void 0 ? _l : $generator.customs)) === null || _m === void 0 ? void 0 : _m.number) === null || _o === void 0 ? void 0 : _o.call(_m, [
                {
                    name: "Type<\"int32\">",
                    kind: "type",
                    value: "int32"
                }
            ])) !== null && _p !== void 0 ? _p : ((_q = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _q !== void 0 ? _q : $generator.integer)(0, 100),
            filled_seats: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])(),
            seats: $pick([
                function () { return undefined; },
                function () { var _a, _b, _c, _d, _e; return (_d = (_c = (_b = ((_a = _generator === null || _generator === void 0 ? void 0 : _generator.customs) !== null && _a !== void 0 ? _a : $generator.customs)) === null || _b === void 0 ? void 0 : _b.number) === null || _c === void 0 ? void 0 : _c.call(_b, [
                    {
                        name: "Type<\"int32\">",
                        kind: "type",
                        value: "int32"
                    }
                ])) !== null && _d !== void 0 ? _d : ((_e = _generator === null || _generator === void 0 ? void 0 : _generator.integer) !== null && _e !== void 0 ? _e : $generator.integer)(0, 100); }
            ])()
        });
    }; var _generator; return function (generator) {
        _generator = generator;
        return $ro0();
    }; })()(g); };
    patchByOrg.simulate = function (connection, org, body) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: patchByOrg.METADATA.method,
            host: connection.host,
            path: patchByOrg.path(org),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.body(function () { return (function () { var $guard = typia_1.default.assert.guard; var $io0 = function (input) { return (undefined === input.title || "string" === typeof input.title) && ("string" === typeof input.key && RegExp("^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com ").test(input.key)); }; var $ao0 = function (input, _path, _exceptionable) {
                if (_exceptionable === void 0) { _exceptionable = true; }
                return (undefined === input.title || "string" === typeof input.title || $guard(_exceptionable, {
                    path: _path + ".title",
                    expected: "((string & JsonSchemaPlugin<__type>) | undefined)",
                    value: input.title
                }, _errorFactory)) && ("string" === typeof input.key && (RegExp("^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com ").test(input.key) || $guard(_exceptionable, {
                    path: _path + ".key",
                    expected: "string & Pattern<\"^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com \">",
                    value: input.key
                }, _errorFactory)) || $guard(_exceptionable, {
                    path: _path + ".key",
                    expected: "(string & Pattern<\"^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521) |^(sk-ssh-ed25519|sk-ecdsa-sha2-nistp256)@openssh.com \">)",
                    value: input.key
                }, _errorFactory));
            }; var __is = function (input) { return "object" === typeof input && null !== input && $io0(input); }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return ("object" === typeof input && null !== input || $guard(true, {
                            path: _path + "",
                            expected: "body",
                            value: input
                        }, _errorFactory)) && $ao0(input, _path + "", true) || $guard(true, {
                            path: _path + "",
                            expected: "body",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(body); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return patchByOrg.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(patchByOrg || (exports.patchByOrg = patchByOrg = {}));
/**
 * Delete an organization.
 * Deletes an organization and all its repositories.
 *
 * The organization login will be unavailable for 90 days after deletion.
 *
 * Please review the Terms of Service regarding account deletion before using this endpoint:
 *
 * https://docs.github.com/site-policy/github-terms/github-terms-of-service
 *
 * @tag orgs
 * @path orgs/:org
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function eraseByOrg(connection, org) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? eraseByOrg.simulate(connection, org)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, eraseByOrg.METADATA), { path: eraseByOrg.path(org), status: null }))];
        });
    });
}
(function (eraseByOrg) {
    eraseByOrg.METADATA = {
        method: "DELETE",
        path: "/orgs/:org",
        request: null,
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    eraseByOrg.path = function (org) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"));
    };
    eraseByOrg.random = function (g) { return (function () { var _generator; return function (generator) {
        _generator = generator;
        return undefined;
    }; })()(g); };
    eraseByOrg.simulate = function (connection, org) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: eraseByOrg.METADATA.method,
            host: connection.host,
            path: eraseByOrg.path(org),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return eraseByOrg.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(eraseByOrg || (exports.eraseByOrg = eraseByOrg = {}));
/**
 * Enable or disable a security feature for an organization.
 * > [!WARNING]
 * > **Deprecation notice:** The ability to enable or disable a security feature for all eligible repositories in an organization is deprecated. Please use [code security configurations](https://docs.github.com/rest/code-security/configurations) instead. For more information, see the [changelog](https://github.blog/changelog/2024-07-22-deprecation-of-api-endpoint-to-enable-or-disable-a-security-feature-for-an-organization/).
 *
 * Enables or disables the specified security feature for all eligible repositories in an organization. For more information, see "[Managing security managers in your organization](https://docs.github.com/organizations/managing-peoples-access-to-your-organization-with-roles/managing-security-managers-in-your-organization)."
 *
 * The authenticated user must be an organization owner or be member of a team with the security manager role to use this endpoint.
 *
 * OAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.
 *
 * @tag orgs
 * @deprecated
 * @path orgs/:org/:security_product/:enablement
 * @nestia Generated by Nestia - https://github.com/samchon/nestia
 */
function postByOrgAndSecurity_productAndEnablement(connection, org, security_product, enablement, body) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2 /*return*/, !!connection.simulate
                    ? postByOrgAndSecurity_productAndEnablement.simulate(connection, org, security_product, enablement, body)
                    : PlainFetcher_1.PlainFetcher.fetch(__assign(__assign({}, connection), { headers: __assign(__assign({}, connection.headers), { "Content-Type": "application/json" }) }), __assign(__assign({}, postByOrgAndSecurity_productAndEnablement.METADATA), { path: postByOrgAndSecurity_productAndEnablement.path(org, security_product, enablement), status: null }), body)];
        });
    });
}
(function (postByOrgAndSecurity_productAndEnablement) {
    postByOrgAndSecurity_productAndEnablement.METADATA = {
        method: "POST",
        path: "/orgs/:org/:security_product/:enablement",
        request: {
            type: "application/json",
            encrypted: false,
        },
        response: {
            type: "application/json",
            encrypted: false,
        },
    };
    postByOrgAndSecurity_productAndEnablement.path = function (org, security_product, enablement) {
        return "/orgs/".concat(encodeURIComponent(org !== null && org !== void 0 ? org : "null"), "/").concat(encodeURIComponent(security_product !== null && security_product !== void 0 ? security_product : "null"), "/").concat(encodeURIComponent(enablement !== null && enablement !== void 0 ? enablement : "null"));
    };
    postByOrgAndSecurity_productAndEnablement.random = function (g) { return (function () { var _generator; return function (generator) {
        _generator = generator;
        return undefined;
    }; })()(g); };
    postByOrgAndSecurity_productAndEnablement.simulate = function (connection, org, security_product, enablement, body) {
        var assert = NestiaSimulator_1.NestiaSimulator.assert({
            method: postByOrgAndSecurity_productAndEnablement.METADATA.method,
            host: connection.host,
            path: postByOrgAndSecurity_productAndEnablement.path(org, security_product, enablement),
            contentType: "application/json",
        });
        try {
            assert.param("org")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(org); });
            assert.param("security_product")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(security_product); });
            assert.param("enablement")(function () { return (function () { var $guard = typia_1.default.assert.guard; var __is = function (input) { return "string" === typeof input; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return "string" === typeof input || $guard(true, {
                            path: _path + "",
                            expected: "string",
                            value: input
                        }, _errorFactory);
                    })(input, "$input", true);
                }
                return input;
            }; })()(enablement); });
            assert.body(function () { return (function () { var __is = function (input) { return true; }; var _errorFactory; return function (input, errorFactory) {
                if (false === __is(input)) {
                    _errorFactory = errorFactory;
                    (function (input, _path, _exceptionable) {
                        if (_exceptionable === void 0) { _exceptionable = true; }
                        return true;
                    })(input, "$input", true);
                }
                return input;
            }; })()(body); });
        }
        catch (exp) {
            if (!(function () { var $io0 = function (input) { return ("HEAD" === input.method || "GET" === input.method || "DELETE" === input.method || "POST" === input.method || "PUT" === input.method || "PATCH" === input.method) && "string" === typeof input.path && "number" === typeof input.status && ("object" === typeof input.headers && null !== input.headers && false === Array.isArray(input.headers) && $io1(input.headers)) && "string" === typeof input.name && "string" === typeof input.message && (undefined === input.stack || "string" === typeof input.stack); }; var $io1 = function (input) { return Object.keys(input).every(function (key) {
                var value = input[key];
                if (undefined === value)
                    return true;
                return null !== value && undefined !== value && ("string" === typeof value || Array.isArray(value) && value.every(function (elem) { return "string" === typeof elem; }));
            }); }; return function (input) { return "object" === typeof input && null !== input && $io0(input); }; })()(exp))
                throw exp;
            return {
                success: false,
                status: exp.status,
                headers: exp.headers,
                data: exp.toJSON().message,
            };
        }
        return postByOrgAndSecurity_productAndEnablement.random("object" === typeof connection.simulate && null !== connection.simulate
            ? connection.simulate
            : undefined);
    };
})(postByOrgAndSecurity_productAndEnablement || (exports.postByOrgAndSecurity_productAndEnablement = postByOrgAndSecurity_productAndEnablement = {}));
//# sourceMappingURL=index.js.map