import { tags } from "typia";
export declare namespace IApiNotificationsThreadsSubscription {
    type GetHeader = {
        /**
         * The unique identifier of the notification thread. This corresponds to the value returned in the `id` field when you retrieve notifications (for example with the [`GET /notifications` operation](https://docs.github.com/rest/activity/notifications#list-notifications-for-the-authenticated-user)).
         */
        thread_id: number & tags.Type<"int32">;
    };
    type PutHeader = {
        /**
         * The unique identifier of the notification thread. This corresponds to the value returned in the `id` field when you retrieve notifications (for example with the [`GET /notifications` operation](https://docs.github.com/rest/activity/notifications#list-notifications-for-the-authenticated-user)).
         */
        thread_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the notification thread. This corresponds to the value returned in the `id` field when you retrieve notifications (for example with the [`GET /notifications` operation](https://docs.github.com/rest/activity/notifications#list-notifications-for-the-authenticated-user)).
         */
        thread_id: number & tags.Type<"int32">;
    };
}
