export declare namespace IApiOrgsMembers {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
    type GetQuery = {};
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The handle for the GitHub user account.
         */
        username: string;
    };
}
