import { tags } from "typia";
export declare namespace IApiTeams {
    type GetHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
    };
    type PatchHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the team.
         */
        team_id: number & tags.Type<"int32">;
    };
}
