import { tags } from "typia";
export declare namespace IApiOrgsMigrationsArchive {
    type GetHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The unique identifier of the migration.
         */
        migration_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * The unique identifier of the migration.
         */
        migration_id: number & tags.Type<"int32">;
    };
}
