import { tags } from "typia";
export declare namespace IApiOrgsPackagesVersionsRestore {
    type PostHeader = {
        /**
         * The name of the package.
         */
        package_name: string;
        /**
         * The organization name. The name is not case sensitive.
         */
        org: string;
        /**
         * Unique identifier of the package version.
         */
        package_version_id: number & tags.Type<"int32">;
    };
}
