import { tags } from "typia";
export declare namespace IApiUserSshSigningKeys {
    type GetHeader = {
        /**
         * The unique identifier of the SSH signing key.
         */
        ssh_signing_key_id: number & tags.Type<"int32">;
    };
    type DeleteHeader = {
        /**
         * The unique identifier of the SSH signing key.
         */
        ssh_signing_key_id: number & tags.Type<"int32">;
    };
}
